| CE Gobi SDK 2.7 GobiApi

- Main Page
- Modules
- Classes
- Files

Typedefs | Functions
Basic Gobi APIs

## Typedefs
typedef void(GOBICALLBACK * | tFNDeviceRemoval) ()

## Functions
IMPORTGOBI ULONG GOBICMAPI | SetDeviceRemovalCallback (tFNDeviceRemoval pCallback)
IMPORTGOBI ULONG GOBICMAPI | GetImageStoreA (WORD pathSize, CHAR *pImageStorePath)
IMPORTGOBI ULONG GOBICMAPI | GetImageInfoA (CHAR *pPath, ULONG *pFirmwareID, ULONG *pTechnology, ULONG *pCarrier, ULONG *pRegion, ULONG *pGPSCapability)
IMPORTGOBI ULONG GOBICMAPI | GetImageInfoW (WCHAR *pPath, ULONG *pFirmwareID, ULONG *pTechnology, ULONG *pCarrier, ULONG *pRegion, ULONG *pGPSCapability)
IMPORTGOBI ULONG GOBICMAPI | UpgradeFirmware2kA (CHAR *pDestinationPath)
IMPORTGOBI ULONG GOBICMAPI | UpgradeFirmware2kW (WCHAR *pDestinationPath)
IMPORTGOBI ULONG GOBICMAPI | GetImageStoreW (WORD pathSize, WCHAR *pImageStorePath)
IMPORTGOBI ULONG GOBICMAPI | UpgradeFirmwareA (CHAR *pSourcePath, CHAR *pDestinationPath)
IMPORTGOBI ULONG GOBICMAPI | UpgradeFirmwareW (WCHAR *pSourcePath, WCHAR *pDestinationPath)
IMPORTGOBI ULONG GOBICMAPI | GetFirmwareIDA (CHAR *pPath, ULONG *pFirmwareID)
IMPORTGOBI ULONG GOBICMAPI | GetFirmwareIDW (WCHAR *pPath, ULONG *pFirmwareID)
IMPORTGOBI ULONG GOBICMAPI | QCWWAN2kEnumerateDevices (BYTE *pDevicesSize, BYTE *pDevices)
IMPORTGOBI ULONG GOBICMAPI | QCWWAN2kConnect (CHAR *pDeviceID, CHAR *pDeviceKey)
IMPORTGOBI ULONG GOBICMAPI | QCWWANConnect ()
IMPORTGOBI ULONG GOBICMAPI | QCWWANCancel ()
IMPORTGOBI ULONG GOBICMAPI | QCWWANDisconnect ()
IMPORTGOBI ULONG GOBICMAPI | QCWWAN2kGetConnectedDeviceID (ULONG deviceIDSize, CHAR *pDeviceID, ULONG deviceKeySize, CHAR *pDeviceKey)
IMPORTGOBI ULONG GOBICMAPI | QCWWANGetConnectedDeviceID (ULONG stringSize, CHAR *pString)

## Detailed Description

## Function Documentation

IMPORTGOBI ULONG GOBICMAPI GetFirmwareIDA | ( | CHAR * | pPath,
|  | ULONG * | pFirmwareID
| ) |  |

Returns the ID for the firmware located at the path provided as input (ANSI variant)

Parameters

  pPath | [ I ] - Location of the firmware
  pFirmwareID | [ O ] - Firmware ID obtained from the PRI image

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetFirmwareIDW | ( | WCHAR * | pPath,
|  | ULONG * | pFirmwareID
| ) |  |

Returns the ID for the firmware located at the path provided as input (UNICODE variant)

Parameters

  pPath | [ I ] - Location of the firmware
  pFirmwareID | [ O ] - Firmware ID obtained from the PRI image

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetImageInfoA | ( | CHAR * | pPath,
|  | ULONG * | pFirmwareID,
|  | ULONG * | pTechnology,
|  | ULONG * | pCarrier,
|  | ULONG * | pRegion,
|  | ULONG * | pGPSCapability
| ) |  |

Returns image information obtained from the firmware located at the provided path (ANSI variant)

Parameters

  pPath | [ I ] - Location of the firmware
  pFirmwareID | [ O ] - Firmware ID obtained from the PRI image
  pTechnology | [ O ] - Technology (0xFFFFFFFF if unknown)
  pCarrier | [ O ] - Carrier (0xFFFFFFFF if unknown)
  pRegion | [ O ] - Region (0xFFFFFFFF if unknown)
  pGPSCapability | [ O ] - GPS capability (0xFFFFFFFF if unknown)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetImageInfoW | ( | WCHAR * | pPath,
|  | ULONG * | pFirmwareID,
|  | ULONG * | pTechnology,
|  | ULONG * | pCarrier,
|  | ULONG * | pRegion,
|  | ULONG * | pGPSCapability
| ) |  |

Returns image information obtained from the firmware located at the provided path (UNICODE variant)

Parameters

  pPath | [ I ] - Location of the firmware
  pFirmwareID | [ O ] - Firmware ID obtained from the PRI image
  pTechnology | [ O ] - Technology (0xFFFFFFFF if unknown)
  pCarrier | [ O ] - Carrier (0xFFFFFFFF if unknown)
  pRegion | [ O ] - Region (0xFFFFFFFF if unknown)
  pGPSCapability | [ O ] - GPS capability (0xFFFFFFFF if unknown)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetImageStoreA | ( | WORD | pathSize,
|  | CHAR * | pImageStorePath
| ) |  |

Returns the image store folder, i.e., the folder containing one or more carrier-specific image subfolders compatible with the currently connected Gobi device (ANSI variant)

Parameters

  pathSize | [ I ] - Maximum number of characters (including NULL terminator) that can be copied to the image store path array
  pImageStorePath | [ O ] - The path to the image store

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI GetImageStoreW | ( | WORD | pathSize,
|  | WCHAR * | pImageStorePath
| ) |  |

Returns the image store folder, i.e., the folder containing one or more carrier-specific image subfolders compatible with the currently connected Gobi device (UNICODE variant)

Parameters

  pathSize | [ I ] - Maximum number of characters (including NULL terminator) that can be copied to the image store path array
  pImageStorePath | [ O ] - The path to the image store

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI QCWWAN2kConnect | ( | CHAR * | pDeviceID,
|  | CHAR * | pDeviceKey
| ) |  |

This function connects the CM API library to the specified Gobi device

Parameters

  pDeviceID | [ I ] - The device ID as reported by Windows
  pDeviceKey | [ I ] - The device key (unique, stored on-device)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI QCWWAN2kEnumerateDevices | ( | BYTE * | pDevicesSize,
|  | BYTE * | pDevices
| ) |  |

This function enumerates the Gobi devices currently attached to the system

Parameters

  pDevicesSize | [I/O] - Upon input the maximum number of elements that the device array can contain. Upon successful output the actual number of elements in the device array
  pDevices | [ O ] - The device array

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI QCWWAN2kGetConnectedDeviceID | ( | ULONG | deviceIDSize,
|  | CHAR * | pDeviceID,
|  | ULONG | deviceKeySize,
|  | CHAR * | pDeviceKey
| ) |  |

This function returns the ID/key of the device the Gobi CM API library is currently connected to

Parameters

  deviceIDSize | [ I ] - The maximum number of characters (including NULL terminator) that the device ID array can contain
  pDeviceID | [ O ] - Device ID (NULL terminated string)
  deviceKeySize | [ I ] - The maximum number of characters (including NULL terminator) that the device key array can contain
  pDeviceKey | [ O ] - Device key (NULL terminated string)

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI QCWWANCancel | ( |  | ) |

This function cancels the most recent outstanding request

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI QCWWANConnect | ( |  | ) |

QCWWANConnect (Deprecated)

This function connects the CM API library to the first Gobi device detected

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI QCWWANDisconnect | ( |  | ) |

This function disconnects the CM API library from the currently connected Gobi device

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI QCWWANGetConnectedDeviceID | ( | ULONG | stringSize,
|  | CHAR * | pString
| ) |  |

This function returns the ID of the deivce the Gobi CM API library is currently connected to

Parameters

  stringSize | [ I ] - The maximum number of characters (including NULL terminator) that the string array can contain
  pString | [ O ] - NULL terminated string

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI SetDeviceRemovalCallback | ( | tFNDeviceRemoval | pCallback | ) |

This function enables/disables the device removal callback

Parameters

  pCallback | [ I ] - Callback function

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI UpgradeFirmware2kA | ( | CHAR * | pDestinationPath | ) |

This function performs the following set of steps: a) Verifies arguments b) Updates images preference on device c) Resets the device (ANSI variant)

NOTE: Upon successful completion the above steps will have been completed, however the actual upgrade of the firmware will necessarily then follow.

Parameters

  pDestinationPath | [ I ] - The fully qualified path to desired firmware

Returns
  See GobiErrorCodes.h

This function performs the following set of steps: a) Verifies arguments b) Updates images preference on device c) Resets the device (ANSI variant)

     NOTE: Upon successful completion the above steps will have been completed,
     however the actual upgrade of the firmware will necessarily then
     follow.

Parameters

  pDestinationPath | [ I ] - The fully qualified path to desired firmware

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI UpgradeFirmware2kW | ( | WCHAR * | pDestinationPath | ) |

This function performs the following set of steps: a) Verifies arguments b) Updates images preference on device c) Resets the device (UNICODE variant)

NOTE: Upon successful completion the above steps will have been completed, however the actual upgrade of the firmware will necessarily then follow.

Parameters

  pDestinationPath | [ I ] - The fully qualified path to desired firmware

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI UpgradeFirmwareA | ( | CHAR * | pSourcePath,
|  | CHAR * | pDestinationPath
| ) |  |

UpgradeFirmwareA (Deprecated)

This function performs the following set of steps: a) Verifies arguments b) Updates images preference on device c) Resets the device (ANSI variant) NOTE: Upon successful completion the above steps will have been completed, however the actual upgrade of the firmware will necessarily then follow.

Parameters

  pSourcePath | [ I ] - No longer used
  pDestinationPath | [ O ] - The fully qualified path to desired firmware

Returns
  See GobiErrorCodes.h

IMPORTGOBI ULONG GOBICMAPI UpgradeFirmwareW | ( | WCHAR * | pSourcePath,
|  | WCHAR * | pDestinationPath
| ) |  |

UpgradeFirmwareW (Deprecated)

DESCRIPTION: This function performs the following set of steps: a) Verifies arguments b) Updates images preference on device c) Resets the device (UNICODE variant)

NOTE: Upon successful completion the above steps will have been completed, however the actual upgrade of the firmware will necessarily then follow.

Parameters

  pSourcePath | [ I ] - No longer used
  pDestinationPath | [ I ] - The fully qualified path to desired firmware

Returns
  See GobiErrorCodes.h